% Copyright (c) 2007-2008 Luis Pineda (http://leibniz.iimas.unam.mx/~luis)
% Copyright (c) 2007-     Luis Pineda (http://leibniz.iimas.unam.mx/~luis), 
%                         Elia Pavon 
%                         Wendy Aguilar
%Execute robot's move command

move_robot(_, []) :- print('error: no se encontro trayectoria. '), nl.
move_robot(ma(From, To), [ruta(From, To, Path)|_]) :-
	    move_actions(Path).
move_robot(ma(From, To), [_|T]) :-
	    move_robot(ma(From, To), T).

move_actions([]).
move_actions([(X,Y,Z)|T]) :-
	   name(ve, L0),	
	   name(X, L1),
	   name(Y, L2),
	   name(Z, L3),	   
	   name(' ', LS),
	   append(L0, LS, S1),
	   append(S1, L1, S2),
	   append(S2, LS, S3),
	   append(S3, L2, S4),
	   append(S4, LS, S5),
           append(S5, L3, S6),
	   name(Path, S6),

	   % Aqui se ejecuta comando de movimiento
	   print(Path),nl,
	   oaa_Solve(navega(Path,_),[blocking(false)]),

	   %ejecuta siguiente movimiento
	   move_actions(T).
	    
