% Copyright (c) 2007-2008 Luis Pineda (http://leibniz.iimas.unam.mx/~luis)
% Copyright (c) 2007-     Luis Pineda (http://leibniz.iimas.unam.mx/~luis), 
%                         Elia Pavon
%                         Wendy Aguilar
%                         Hector Avilés

%Text input agent
get_vision_act(Expected_Intentions,In_Speech_Act) :-
	%get visual image 
	oaa_Solve(ve(NL_Input),[]),    
	print('VE regreso: '), print(NL_Input),nl,

	%check potential interpretation
	find_vision_act(NL_Input,Expected_Intentions,Speech_Act_List),
	print('Speech Act List: '),print(Speech_Act_List),nl,

	%if there is more than one, just get the first in the list; 
	%otherwise return 'unknown'
	check_empty_condition_vision(Speech_Act_List,[In_Speech_Act|_]).

%check the nl input can be interpreted as an Speech Act
check_empty_condition_vision([],[unknown]).
check_empty_condition_vision(Sp_IDs,Sp_IDs).

find_vision_act(NL_Input,[],[]).
find_vision_act(NL_Input,[Speech_Act_ID|Rest],[Speech_Act_ID]) :-
       
	print('NL_Input: '),print(NL_Input),nl,
	print('sp_ID: '),print(Speech_Act_ID),nl,
	oaa_Solve(interpretaVision(Speech_Act_ID, NL_Input, Result),[]),
        print('Result: '),print(Result),nl,
        print('Eureka: despues de interpretaVision'),nl.
	
	%find_vision_act(NL_Input,Rest,Rest_Speech_Acts),
	%append([Speech_Act_ID],Rest_Speech_Acts,Speech_Act_IDs).
  
find_vision_act(NL_Input,[_|Rest],Rest_Speech_Acts) :-
	find_vision_act(NL_Input,Rest,Rest_Speech_Acts).


