% Copyright (c) 2007- Luis Pineda (http://leibniz.iimas.unam.mx/~luis)

%Text input agent
get_speech_act(Expected_Intentions,In_Speech_Act) :-
	%read natural language textual input
	read(NL_Input),
	print(Expected_Intentions),nl,
	%oaa_Solve(escucha(NL_Input),[blocking(true)]),    
	print(NL_Input),nl,

	%check potential interpretation
	find_speech_act(NL_Input,Expected_Intentions,Speech_Act_List),
	print(Speech_Act_List),nl,
	%print('Speech Act List: '),print(Speech_Act_List),nl,

	%if there is more than one, just get the first in the list; 
	%otherwise return 'unknown'
	check_empty_condition(Speech_Act_List,[In_Speech_Act|_]).

%check the nl input can be interpreted as an Speech Act
check_empty_condition([],[unknown]).
check_empty_condition(Sp_IDs,Sp_IDs).

find_speech_act(NL_Input,Expected_Intensions,[Result]) :-
	oaa_Solve(interpretaVoz(Expected_Intensions, NL_Input, Result),[blocking(true)]),
        print('Eureka: despues de interpretaVoz').
  


